# rpmEIU Struct Reference

## Data Fields

rpmTransactionSet | ts
rpmdb | db
Header | h
FD_t | fd
int | numFailed
int | numPkgs
str_t * | pkgURL
str_t * | fnp
char * | pkgState
int | prevx
int | pkgx
int | numRPMS
int | numSRPMS
str_t * | sourceURL
int | isSource
int | argc
str_t * | argv
rpmRelocation * | relocations
rpmRC | rpmrc

## Field Documentation

int rpmEIU::argc

| Definition at line 194 of file rpminstall.c.

str_t* rpmEIU::argv

| Definition at line 195 of file rpminstall.c.

rpmdb rpmEIU::db

| Definition at line 180 of file rpminstall.c.

FD_t rpmEIU::fd

| Definition at line 182 of file rpminstall.c.

str_t* rpmEIU::fnp

| Definition at line 186 of file rpminstall.c.

Header rpmEIU::h

| Definition at line 181 of file rpminstall.c.

int rpmEIU::isSource

| Definition at line 193 of file rpminstall.c.

int rpmEIU::numFailed

| Definition at line 183 of file rpminstall.c.

int rpmEIU::numPkgs

| Definition at line 184 of file rpminstall.c.

int rpmEIU::numRPMS

| Definition at line 190 of file rpminstall.c.

int rpmEIU::numSRPMS

| Definition at line 191 of file rpminstall.c.

char* rpmEIU::pkgState

| Definition at line 187 of file rpminstall.c.

str_t* rpmEIU::pkgURL

| Definition at line 185 of file rpminstall.c.

int rpmEIU::pkgx

| Definition at line 189 of file rpminstall.c.

int rpmEIU::prevx

| Definition at line 188 of file rpminstall.c.

rpmRelocation* rpmEIU::relocations

| Definition at line 196 of file rpminstall.c.

rpmRC rpmEIU::rpmrc

| Definition at line 197 of file rpminstall.c.

str_t* rpmEIU::sourceURL

| Definition at line 192 of file rpminstall.c.

rpmTransactionSet rpmEIU::ts

| Definition at line 179 of file rpminstall.c.

The documentation for this struct was generated from the following file:

- lib/rpminstall.c